# Method: projects.locations.sessions.list

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.ListSessionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions/list#try-it)

Lists interactive sessions.

### HTTP request

`GET https://dataproc.googleapis.com/v1/{parent=projects/*/locations/*}/sessions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of sessions. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataproc.sessions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of sessions to return in each response. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token received from a previous `sessions.list` call. Provide this token to retrieve the subsequent page. |
| `filter` | `string` Optional. A filter for the sessions to return in the response. A filter is a logical expression constraining the values of various fields in each session resource. Filters are case sensitive, and may contain multiple clauses combined with logical operators (AND, OR). Supported fields are `session_id`, `session_uuid`, `state`, `create_time`, and `labels`. Example: `state = ACTIVE and create_time < "2023-01-01T00:00:00Z"` is a filter for sessions in an ACTIVE state that were created before 2023-01-01. `state = ACTIVE and labels.environment=production` is a filter for sessions in an ACTIVE state that have a production environment label. See <https://google.aip.dev/assets/misc/ebnf-filtering.txt> for a detailed description of the filter syntax and a list of supported comparators. |

### Request body

The request body must be empty.

### Response body

A list of interactive sessions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sessions": [ { object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions#Session`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sessions[]` | ``object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.sessions#Session`)`` Output only. The sessions from the specified collection. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken`, to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`
- `
  https://www.googleapis.com/auth/dataproc.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).